Name: libopenraw
Version: 0.0.8
Release: alt1

Packager: Victor Forsyuk <force@altlinux.org>

Summary: Decode camera RAW files
License: LGPLv3+
Group: System/Libraries

URL: http://libopenraw.freedesktop.org/wiki
Source: http://libopenraw.freedesktop.org/download/libopenraw-%version.tar.gz

# Automatically added by buildreq on Wed Jul 08 2009
BuildRequires: boost-devel gcc-c++ libcurl-devel libgio-devel libgtk+2-common-devel libjpeg-devel libxml2-devel
# Not detected automatically:
BuildRequires: libgtk+2-devel

%description
libopenraw is an ongoing project to provide a free software implementation for
camera RAW files decoding. One of the main reason is that dcraw is not suited
for easy integration into applications, and there is a need for an easy to use
API to build free software digital image processing application.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
The %name-devel package contains libraries and header files for developing
applications that use %name.

%package gnome
Summary: GUI components of libopenraw
Group: System/Libraries
Requires: %name = %version-%release

%description gnome
The %name-gnome package contains gui components of %name.

%package gnome-devel
Summary: Development files for %name-gnome
Group: Development/C
Requires: %name-gnome = %version-%release
Requires: %name-devel = %version-%release

%description gnome-devel
The %name-gnome-devel package contains libraries and header files for developing
applications that use %name-gnome.

%prep
%setup

%build
%configure --disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install

%files
%_libdir/libopenraw.so.*
%_libdir/gtk-2.0/*/loaders/*.so
%exclude %_libdir/gtk-2.0/*/loaders/*.la

%files devel
%dir %_includedir/libopenraw-1.0
%_includedir/libopenraw-1.0/libopenraw
%_libdir/libopenraw.so
%_pkgconfigdir/libopenraw-1.0.pc

%files gnome
%_libdir/libopenrawgnome.so.*

%files gnome-devel
%_includedir/libopenraw-1.0/libopenraw-gnome
%_libdir/libopenrawgnome.so
%_pkgconfigdir/libopenraw-gnome-1.0.pc

%changelog
* Wed Jul 08 2009 Victor Forsyuk <force@altlinux.org> 0.0.8-alt1
- 0.0.8

* Tue Dec 16 2008 Victor Forsyuk <force@altlinux.org> 0.0.5-alt2
- Remove obsolete ldconfig calls.

* Thu Mar 13 2008 Victor Forsyuk <force@altlinux.org> 0.0.5-alt1
- 0.0.5

* Mon Nov 26 2007 Victor Forsyuk <force@altlinux.org> 0.0.3-alt1
- 0.0.3

* Thu May 17 2007 Victor Forsyuk <force@altlinux.org> 0.0.2-alt1
- Initial build.
